#pragma once
#pragma unmanaged
#include "BulletCollision/CollisionShapes/btSphereShape.h"
#pragma managed
#include "ICollisionShape.h"

using namespace System;

namespace BulletCLI 
{
    public ref class SphereShape : public ICollisionShape
	{
	private:
		btSphereShape* m_p;
	internal:
        virtual btCollisionShape* GetPtr() override {return m_p;}
    public:
		SphereShape(float radius);
        virtual ~SphereShape();
		!SphereShape();
	};
}